using System;
using System.Collections.Generic;

namespace LazarSpasic
{
    class Program
    {
        static long Abakus(long n)
        {
            HashSet<long> unikCifre = new HashSet<long>();
            long suma = 1;
            for(int i = 1; i <= n; i++)
            {
                int k = i;
                while(k > 0)
                {
                    suma *= k % 10;
                    k /= 10;
                }
                unikCifre.Add(suma);
            }

            return unikCifre.Count;
        }

        static void Main(string[] args)
        {
            int T = int.Parse(Console.ReadLine());
            for(int i = 0; i < T; i++)
            {
                Console.WriteLine(Abakus(int.Parse(Console.ReadLine())));
            }
        }
    }
}